# Uses of Enum
org.eclipse.mat.parser.index.IndexManager.Index

Packages that use IndexManager.Index
Package
Description
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IndexManager.Index in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index that return IndexManager.Index
Modifier and Type
Method
Description
`static IndexManager.Index`
IndexManager.Index.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IndexManager.Index[]`
IndexManager.Index.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.parser.index with parameters of type IndexManager.Index
Modifier and Type
Method
Description
`IIndexReader`
IndexManager.`getReader(IndexManager.Index index)`
Get the reader corresponding to the index
`void`
IndexManager.`setReader(IndexManager.Index index, IIndexReader reader)`
Add index reader corresponding to the index to the index manager